apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -f docker-compose.yml
    kompose.version: 1.18.0 ()
  labels:
    io.kompose.service: portal3
  name: portal3
spec:
  selector:
    matchLabels:
      io.kompose.service: portal3
  strategy: {}
  template:
    metadata:
      labels:
        io.kompose.service: portal3
    spec:
      containers:
      - args:
        - ./main
        - console
        image: registry.gitlab.com/r99net/deployment-project:portal3_1
        imagePullPolicy: Always
        name: portal3
        resources: {}
        volumeMounts:
        - mountPath: /var/www/config/db_pool.properties
          name: config-volume
          subPath: db_pool.properties
        - mountPath: /var/www/config/hazelcast.properties
          name: config-volume
          subPath: hazelcast.properties
        - mountPath: /var/www/config/mongo.properties
          name: config-volume
          subPath: mongo.properties
        - mountPath: /var/www/config/rmq.properties
          name: config-volume
          subPath: rmq.properties
        - mountPath: /var/www/config/partner.properties
          name: config-volume
          subPath: partner.properties
        - mountPath: /var/www/config/config_game.properties
          name: config-volume
          subPath: config_game.properties
        - mountPath: /var/www/config/api_portal.xml
          name: api-portal
          subPath: api_portal.xml
        workingDir: /var/www
#      imagePullSecrets:
#      - name: regcred
      restartPolicy: Always
      volumes:
      - configMap:
          defaultMode: 420
          name: config-all
        name: config-volume
      - configMap:
          defaultMode: 420
          name: api-portal
        name: api-portal
status: {}